/* Custom styles since adoption of Joomla. Created: 18/07/2019 */
/* Adapted for self-service. 21/08/2020 */

/*
 * Contents
 * --------
 * 1. Main navigation
 * 2. Side navigation
 * 3. Social navigation
 * 4. Footer information module
 * 5. Footer navigation
 * 6. General layout
 * 7. Button
 * 8. AdSense
 * 9. CIVIC Cookie Control
 */


/*--------------------------
 * 1. Main navigation
 *--------------------------*/

#navbar li a span.glyphicon {
	font-size: 13px;
}

@media only screen and (max-width: 768px) {
  	#navbar li a span.more-caret-icon {
		display: none !important;
	}
}

.social-logos-navbar {
	width: 41px;
	height: 41px;
}

.hiddensearchlabel {
  	border: 0;
    clip: rect(0 0 0 0);
    height: 1px;
    margin: -1px;
    overflow: hidden;
    padding: 0;
    position: absolute;
    width: 1px;
}

.skipnav { text-align: left; background-color: #B9D11B }
  .skipnav a { position: absolute; left: -10000px; width: 1px; height: 1px; overflow: hidden; }
  .skipnav a:focus, .skipnav a:active { position: static; left: 0; width: auto; height: auto; overflow: visible; text-decoration: underline; }

/*--------------------------
 * 2. Side navigation
 *--------------------------*/

#sidenav li.catItem a {
  	background-color: #B9D11B;
  	border-bottom: 1px solid #dddddd;
  	color: #333333;
  	font-size: 16px;
  	font-weight: bold;
  	margin-bottom: 4px;
  	padding: 8px 12px;
}

#sidenav li.catItem a:hover,
#sidenav li.catItem a:focus,
#sidenav li.catItem a:active {
  	background-color: #B9D11B;
  	text-decoration: none;
}

#sidenav li a {
  	color: #0071bc;
  	font-size: 14px;
  	padding: 4px 10px;
}

#sidenav li:last-child {
  padding-bottom:4px;
}

#sidenav > li > a:hover,
#sidenav > li > a:focus,
#sidenav > li > a:active {
  	background-color: transparent;
  	text-decoration: underline;
}

#sidenav li.active > ul.side-sub-menu {
	display: block;
}

#sidenav > li.active > a {
  	color: #0071bc;
}

#sidenav li.current > a {
	font-weight: bold;
}

#sidenav ul.side-sub-menu {
	display: none;
  	padding-inline-start: 35px;
}

#sidenav ul.side-sub-menu li {
	list-style-type: unset;
}

#sidenav ul.side-sub-menu li.current > a {
	font-weight: bold;
}

#sidenav ul.side-sub-menu li a {
  	display: block;
  	color: #0071bc;
	font-size: 14px;
  	font-weight: normal;
}

#sidenav ul.side-sub-menu li:first-child {
  	/*padding-top: 0px;*/
}

#sidenav ul.side-sub-menu li a:hover,
#sidenav ul.side-sub-menu li a:focus {
  	text-decoration: underline;
}

#sidenav ul.side-sub-menu li.dropdown {
  	display: block;
}

#sidenav ul.side-sub-menu li.active {
  	
}

@media only screen and (max-width: 991px) {
    .sidenav-panel {
    	margin-top: 20px;
  	}
}

/*--------------------------
 * 3. Social navigation
 *--------------------------*/

#social-bottom-nav li {
	display: inline-block;
}

/*--------------------------
 * 4. Footer information module
 *--------------------------*/

#footer-info-module {
	padding: 17px 0 5px 0;
}

/*--------------------------
 * 5. Footer navigation
 *--------------------------*/

.footer-nav {
	margin: 0;
}

.footer-nav li {
	padding: 0 10px 0 0;
}

@media only screen and (max-width: 768px) {
  	#social-bottom-nav {
        padding-top: 15px;
    }
}

/*--------------------------
 * 6. General layout
 *--------------------------*/

.app_holder {
	margin-bottom: 20px;
}

.main-col-left {
	padding: 0 15px 0 0;
}

.main-col-right {
	padding: 0 0 0 15px;
}

@media only screen and (max-width: 992px) {
    .main-col-left, .main-col-right {
    	padding: 0 0 0 0;
  	}
}

input:focus, textarea:focus, select:focus {
	border: 3px solid #ffdd00 !important;
	box-shadow: none !important;
}

input[type="radio"]:focus, input[type="checkbox"]:focus {
    outline: 2px solid #ffdd00 !important;
}

div.dropzone:focus {
	border: 2px dashed #ffdd00 !important;
	outline: none;
}

.bg-white {
	background-color: #fff !important;
}

/*--------------------------
 * 7. Button
 *--------------------------*/

@media only screen and (max-width: 767px) {
  .cta-button {
      margin-bottom: 5px;
      text-align: center;
      display: block;
      justify-content: center;
      align-items: center;
      height: 100%;
      color: #ffffff;
      background-color: #562d82;
      padding: 12px 12px;
      font-size: 17px;
      font-weight: normal;
      line-height: 24px;
      cursor: pointer;
      border: 1px solid #562d82;
      border-bottom: 5px solid #562d82;
      border-radius: 4px;
      white-space: normal;
      -webkit-user-select: none;
      -moz-user-select: none;
      -ms-user-select: none;
      -o-user-select: none;
      user-select: none;
  }
}

@media only screen and (min-width: 768px) {
  .cta-button {
      margin: 2.5px;
      text-align: center;
      display: inline-flex;
      justify-content: center;
      align-items: center;
      height: 100%;
      color: #ffffff;
      background-color: #562d82;
      padding: 12px 12px;
      font-size: 17px;
      font-weight: normal;
      line-height: 24px;
      cursor: pointer;
      border: 1px solid #562d82;
      border-bottom: 5px solid #562d82;
      border-radius: 4px;
      white-space: normal;
      -webkit-user-select: none;
      -moz-user-select: none;
      -ms-user-select: none;
      -o-user-select: none;
      user-select: none;
  }
}

.cta-button:hover,
.cta-button:active,
.cta-button:focus {
  	background-color: #562d82;
  	border: 1px solid #562d82;
  	border-bottom: 5px solid #562d82;
  	color:white;
}

/*--------------------------
 * 8. AdSense
 *--------------------------*/

.adunit {
  text-align: center;
  margin-top: 1%;
  margin-bottom: 1%;
}

.responsiveads {
  margin: 0 auto;
  max-height: 200px !important;
  max-width: 750px !important;
}

/*--------------------------
 * 9. CIVIC Cookie Control
 *--------------------------*/

#ccc-content.ccc-content--dark #ccc-close.ccc-close--labelled:focus,
#ccc-content.ccc-content--dark #ccc-close.ccc-close--labelled:focus *,
#ccc #ccc-recommended-settings:focus,
#ccc #ccc-recommended-settings:focus *,
#ccc .ccc-content--highlight .checkbox-toggle-input:focus~.checkbox-toggle-toggle,
#ccc .ccc-link.ccc-tabbable:focus,
#ccc .ccc-link.ccc-tabbable:focus * {
    -webkit-filter: invert(0%) !important;
    filter: invert(0%) !important;
    background: #ffdd00 !important;
    color: #333 !important;
    fill: #333 !important;
    font-weight: bold !important;
}

#ccc .ccc-content--dark span:focus, #ccc .ccc-content--dark svg:focus, #ccc-close-label:focus, #ccc #ccc-close:focus #ccc-close-label {
  	color: #333 !important;
}

#ccc #ccc-info-link:focus .ccc-svg-element svg, #ccc #ccc-close:focus svg {
  	fill: #333 !important;
}